SRPAuthInfoProvider (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.sasl.srp.SRPAuthInfoProvider,SRPAuthInfoProvider class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.sasl.srp
Class SRPAuthInfoProvider

    java.lang.Object
      |
      +--gnu.crypto.sasl.srp.SRPAuthInfoProvider

All Implemented Interfaces:
  IAuthInfoProvider

public class SRPAuthInfoProvider
extends java.lang.Object
implements IAuthInfoProvider

The SRP mechanism authentication information provider implementation.

Constructor Summary
`SRPAuthInfoProvider()`

Method Summary
`void` | `activate(java.util.Map context)` Activates (initialises) this provider instance.
`boolean` | `contains(java.lang.String userName)` Checks if a user with a designated name is known to this provider.
`java.util.Map` | `getConfiguration(java.lang.String mode)` A provider may operate in more than mode; e.g.
`java.util.Map` | `lookup(java.util.Map userID)` Returns a collection of information about a designated user.
`void` | `passivate()` Passivates (releases) this provider instance.
`void` | `update(java.util.Map userCredentials)` Updates the credentials of a designated user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRPAuthInfoProvider

    public SRPAuthInfoProvider()

Method Detail

### activate

    public void activate(java.util.Map context)
                  throws AuthenticationException

  Description copied from interface: `IAuthInfoProvider`
  Activates (initialises) this provider instance. SHOULD be the first method invoked on the provider.

  Specified by:
    `activate` in interface `IAuthInfoProvider`
  Parameters:
    `context` - a collection of name-value bindings describing the activation context.
  Throws:
    `AuthenticationException` - if an exception occurs during the operation.

### passivate

    public void passivate()
                   throws AuthenticationException

  Description copied from interface: `IAuthInfoProvider`
  Passivates (releases) this provider instance. SHOULD be the last method invoked on the provider. Once it is done, no other method may be invoked on the same instance before it is activated agains.

  Specified by:
    `passivate` in interface `IAuthInfoProvider`
  Throws:
    `AuthenticationException` - if an exception occurs during the operation.

### contains

    public boolean contains(java.lang.String userName)
                     throws AuthenticationException

  Description copied from interface: `IAuthInfoProvider`
  Checks if a user with a designated name is known to this provider.

  Specified by:
    `contains` in interface `IAuthInfoProvider`
  Parameters:
    `userName` - the name of a user to check.
  Returns:
    `true` if the user with the designated name is known to this provider; `false` otherwise.
  Throws:
    `AuthenticationException` - if an exception occurs during the operation.

### lookup

    public java.util.Map lookup(java.util.Map userID)
                         throws AuthenticationException

  Description copied from interface: `IAuthInfoProvider`
  Returns a collection of information about a designated user. The contents of the returned map is provider-specific of name-to-value mappings.

  Specified by:
    `lookup` in interface `IAuthInfoProvider`
  Parameters:
    `userID` - a map of name-to-value bindings that fully describe a user.
  Returns:
    a collection of information about the designated user.
  Throws:
    `AuthenticationException` - if an exception occurs during the operation.

### update

    public void update(java.util.Map userCredentials)
                throws AuthenticationException

  Description copied from interface: `IAuthInfoProvider`
  Updates the credentials of a designated user.

  Specified by:
    `update` in interface `IAuthInfoProvider`
  Parameters:
    `userCredentials` - a map of name-to-value bindings that fully describe a user, including per new credentials.
  Throws:
    `AuthenticationException` - if an exception occurs during the operation.

### getConfiguration

    public java.util.Map getConfiguration(java.lang.String mode)
                                   throws AuthenticationException

  Description copied from interface: `IAuthInfoProvider`
  A provider may operate in more than mode; e.g. SRP-II caters for user credentials computed in more than one message digest algorithm. This method returns the set of name-to-value bindings describing the mode of the provider.

  Specified by:
    `getConfiguration` in interface `IAuthInfoProvider`
  Parameters:
    `mode` - a unique identifier describing the operational mode.
  Returns:
    a collection of name-to-value bindings describing the designated mode.
  Throws:
    `AuthenticationException` - if an exception occurs during the operation.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.